企业🤖AI智能体构建引擎,智能编排和调试,一键部署,支持私有化部署方案 广告
> 更新日记: https://gitee.com/ken678/YZNCMS/releases > 升级补丁包下载地址:https://caiyun.139.com/m/i?0s5CM7VANZDv2 提取码:`Nfbf` ### 如何升级YznCMS 升级补丁包升级的方式只支持`YznCMS1.4.0+`版本,后期将发布【在线升级插件】 #### 1. 升级流程 打开`config/version.php`中查看文件的`yzncms_version`版本号 下载你对应版本号的补丁包 将下载的补丁包进行解压,解压后的目录结构如下: ``` ├── patch //框架文件升级 ├── patch.sql //数据库升级(没有就不用改数据库结构) └── 更新前请做好全站备份.txt └── 额外补充升级说明.txt ``` * 升级前请务必做好全站文件和数据库备份!!! * 将`patch`目录下的所有文件复制到你的站点目录下 * 将`patch.sql`中的SQL脚本在你的[数据库管理]工具中执行SQL,注意将`yzn_`替换成你的表前缀,表前缀可以从`config/database.php`中查看`prefix`的值。 * 手动清除`runtime`目录下的缓存。 * 部分补丁包含有额外说明.txt,需要按照里面的步骤进行操作 * 浏览前后台查看是否正常升级,如有错误,请[开启调试查看具体错误](https://www.kancloud.cn/ken678/yzncms/3090278)的原因。 #### 2. 温馨提示 * 一些特殊的文件,比如config目录下面的所有文件配置,覆盖后别忘记在改回自己的设置,比如你关闭了调试模式,覆盖文件则会重新开启调试模式。 * 先看当前什么版本,比如当前版本是1.4.0,就找1.4.0-x.x.x的版本去升级,如果找不到1.4.0开头的代表当前版本不支持升级。 * 补丁包升级的方式只能按版本号依次升级,不能跨版本号升级,例如你需要`1.4.1`升级到`1.4.3`,则只能按`1.4.1升1.4.2`,再`1.4.2升1.4.3`,不能够`1.4.1升1.4.3`。 * 如果你使用composer安装过拓展并且升级包有vendor目录,则你需要重新执行`composer update`进行更新